Bug 148887 - [PATCH] dns/opendnssec: [SUMMARIZE CHANGES]
Summary: [PATCH] dns/opendnssec: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-24 09:20 UTC by ruben
Modified: 2010-08-14 20:20 UTC (History)
1 user (show)

See Also:


Attachments
opendnssec-1.1.1.patch (601 bytes, patch)
2010-07-24 09:20 UTC, ruben
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ruben 2010-07-24 09:20:07 UTC
[DESCRIBE CHANGES]

Port maintainer (jaap@NLnetLabs.nl) is cc'd.

Generated with FreeBSD Port Tools 0.99

Make the minimum required version 1.48 for dnsruby as previous versions don't
parse all variants of hinfo/loc records
Comment 1 Edwin Groothuis freebsd_committer 2010-07-24 09:20:20 UTC
Maintainer of dns/opendnssec,

Please note that PR ports/148887 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148887

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-24 09:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jaap Akkerhuis 2010-07-26 20:26:00 UTC
    Maintainer of dns/opendnssec,
    
    Please note that PR ports/148887 has just been submitted.
    
    If it contains a patch for an upgrade, an enhancement or a bug fix
    you agree on, reply to this email stating that you approve the patch
    and a committer will take care of it.
    
    The full text of the PR can be found at:
        http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148887

In principle this change is fine (especially since rubygem-dnsruby-1.48
is comitted today). Note that it is only a new version of the port
itself. Therefore, we need to use PORTVERSION as is done in the
patch below. I tested that patch and advise to replace the original
patch by this one (it is only one line extra).

	jaap


diff -ruN --exclude=CVS /space/portstrees/AFreeBSD/ports/dns/opendnssec.orig/Makefile /space/portstrees/AFreeBSD/ports/dns/opendnssec/Makefile
--- /space/portstrees/AFreeBSD/ports/dns/opendnssec.orig/Makefile        2010-07-26 21:03:40.000000000 +0200
+++ /space/portstrees/AFreeBSD/ports/dns/opendnssec/Makefile     2010-07-25 11:42:12.000000000 +0200
@@ -2,11 +2,12 @@
 # Date created:        28 December 2009
 # Whom:                Jaap Akkerhuis <jaap@NLnetLabs.nl>
 #
-# $FreeBSD: ports/dns/opendnssec/Makefile,v 1.4 2010/07/11 13:34:39 araujo Exp $
+# $FreeBSD: ports/dns/opendnssec/Makefile,v 1.2 2010/02/11 10:33:58 pav Exp $
 #
 
 PORTNAME=       opendnssec
 PORTVERSION=    1.1.1
+PORTREVISION=   1
 CATEGORIES=     dns
 MASTER_SITES=   http://www.opendnssec.org/files/source/
 DISTNAME=       ${PORTNAME}-${PORTVERSION}
@@ -16,7 +17,7 @@
 
 BUILD_DEPENDS=  ldns>=1.6.4:${PORTSDIR}/dns/ldns \
                 ${PYTHON_SITELIBDIR}/Ft/Xml/__init__.py:${PORTSDIR}/textproc/py-4suite-xml \
-                rubygem-dnsruby>=1.43:${PORTSDIR}/dns/rubygem-dnsruby
+                rubygem-dnsruby>=1.48:${PORTSDIR}/dns/rubygem-dnsruby
 LIB_DEPENDS=    ldns:${PORTSDIR}/dns/ldns \
                 sqlite3:${PORTSDIR}/databases/sqlite3
Comment 4 dfilter service freebsd_committer 2010-08-14 20:19:19 UTC
arved       2010-08-14 19:19:11 UTC

  FreeBSD ports repository

  Modified files:
    dns/opendnssec       Makefile 
  Log:
  Increase minimum required version of dnsruby
  
  PR:             148887
  Submitted by:   Ruben van Staveren <ruben@verweg.com>
  Approved by:    maitainer
  
  Revision  Changes    Path
  1.5       +2 -1      ports/dns/opendnssec/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Tilman Keskinoz freebsd_committer 2010-08-14 20:19:21 UTC
State Changed
From-To: feedback->closed

committed, thanks